Name:           clean-extra-utils
Version:        0.1
Release:        6%{?dist}
Summary:        A collection of extra libraries and utilities for the Clean programming language
Group:          Development/Libraries
License:        BSD
URL:            http://git.fedorahosted.org/git/%{name}.git
Source0:        http://git.fedorahosted.org/cgit/%{name}.git/snapshot/%{name}-%{version}.tar.gz

#BuildRequires:  
Requires:       clean

# This is because this is a library that will be compiled when imported
#  This is also the reason that there are no binary's in this package
%global debug_package %{nil}

# This was changed for EPEL5 to the first suggestion
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# Because the Clean compiler is only available on x86 and x86_64, we notify such
ExclusiveArch: i386 i486 i586 i686 x86 x86_64

%description
This is a collection of libraries and
utilities for the Clean programming language.

%prep
%setup -q

%build
# No building needed

%clean
rm -rf %{buildroot}

%install
# This is for EPEL5
rm -rf %{buildroot}
mkdir %{buildroot}

mkdir -p %{buildroot}%{_libdir}/clean/extra-utils/
mkdir -p %{buildroot}%{_pkgdocdir}
cp %{_builddir}/%{buildsubdir}/{README,COPYING} %{buildroot}%{_pkgdocdir}

# ArgumentParser
mkdir -p %{buildroot}%{_pkgdocdir}/ArgumentParser/
cp -p %{_builddir}/%{buildsubdir}/ArgumentParser/ArgumentParser.{icl,dcl} %{buildroot}%{_libdir}/clean/extra-utils/
cp -p %{_builddir}/%{buildsubdir}/ArgumentParser/{ArgumentParser.dcl,example.icl,README} %{buildroot}%{_pkgdocdir}/ArgumentParser/

%files
%{_libdir}/clean/extra-utils/
%doc %{_pkgdocdir}

%changelog
* Mon Sep 02 2013 Patrick Uiterwijk <patrick@puiterwijk.org> - 0.1-6
- Update docdir to unversioned docdir

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Aug 26 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.1-3
- Add that clean is only supported on x86 and x86_64

* Wed Aug 15 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.1-2
- Adding Group: tag

* Wed Jul 11 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.1-1
- Initial RPM package
